Skip to main content

Create Applicant: ResMan

POSThttps://api.propexo.com/v1/applicants/resman/

Create Applicant: ResMan. When specifying a unit_id, the unit must be available. To check if a unit is available, you can compare it to the listing object with the same property and unit_number.

InterfaceMethod
Lease Application/MITS/PostLeaseApplication3_0
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstringrequired

    The Propexo unique identifier for the unit

    application_datestringrequired

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the application

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    email_1string<email>deprecated

    Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger

    The market rent amount in cents for the lease

    move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstringrequired

    The Propexo unique identifier for the unit

    application_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the application

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    last_namestring | nullnullablerequired

    The last name associated with the applicant

    email_1(string | null)<email>nullablerequireddeprecated

    Deprecated: The email field from the lead will be the email of the applicant. The primary email address associated with the applicant

    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    citystring | nullnullablerequired

    The city associated with the applicant

    statestring | nullnullablerequired

    The state associated with the applicant

    zipstring | nullnullablerequired

    The zip code associated with the applicant

    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger | nullnullablerequired

    The market rent amount in cents for the lease

    move_in_datestring | nullnullablerequired

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/resman/
curl -X POST https://api.propexo.com/v1/applicants/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"unit_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"unit_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"rent_amount_market_in_cents": 0,
"move_in_date": "2024-07-29T15:51:28.071Z"
}
}